import java.util.ArrayList;

abstract class AI
{
	private int     ThrustPercentage;
	private int     TurningPercentage;
	private boolean Fire;

	public final void RunAI (ArrayList<IMShip> ShipList, ArrayList<IMBullet> BulletList,
	                         ArrayList<IMPlanet> PlanetList, IMShipExt Me)
	{
		ThrustPercentage  = 0;
		TurningPercentage = 0;
		Fire              = false;

		DoAI(ShipList, BulletList, PlanetList, Me);
	}

	public final void SetThrustPercentage(int Percentage)
	{
		if (Percentage < -100)
			Percentage = -100;
		else if (Percentage > 100)
			Percentage = 100;

		ThrustPercentage = Percentage;
	}

	public final int GetThrustPercentage()
	{
		return ThrustPercentage;
	}

	public final void SetTurningPercentage(int Percentage)
	{
		if (Percentage < -100)
			Percentage = -100;
		else if (Percentage > 100)
			Percentage = 100;

		TurningPercentage = Percentage;
	}

	public final int GetTurningPercentage()
	{
		return TurningPercentage;
	}

	public final void SetFire(boolean Fire)
	{
		this.Fire = Fire;
	}

	public final boolean GetFire()
	{
		return Fire;
	}

	abstract public String GetName();
	abstract public String GetCreator();
	abstract public String GetInfo();
	abstract public void   DoAI (ArrayList<IMShip> ShipArray, ArrayList<IMBullet> BulletArray,
	                             ArrayList<IMPlanet> PlanetArray, IMShipExt Me);
}
