public final class Bullet implements ICollidable
{
	private Vector Position;
	private Vector Velocity;
	private Vector Acceleration;
	private double Heading;
	private Ship   Owner;
	private int    TimeToLive;

	public Bullet (Vector Position, Vector Velocity, double Heading, Ship Owner)
	{
		this.Position = Position;
		this.Velocity = Velocity;
		this.Heading  = Heading;
		this.Owner    = Owner;

		TimeToLive    = Constants.BULLET_TTL;
	}

	public float GetDiameter ()
	{
		return Constants.BULLET_DIAMETER;
	}

	public double GetHeading ()
	{
		return Heading;
	}

	public Vector GetPosVector ()
	{
		return Position;
	}

	public Vector GetVelVector ()
	{
		return Velocity;
	}

	public void SetTTL (int NewTTL)
	{
		TimeToLive = NewTTL;
	}

	public int GetTTL ()
	{
		return TimeToLive;
	}

	public Ship GetOwner ()
	{
		return Owner;
	}
	
	public IMBullet GetIMBullet ()
	{
		return new IMBullet(Position.GetIMVector(), Velocity.GetIMVector(), Heading, TimeToLive);
	}
}