public final class IMBullet implements ICollidable
{
	private IMVector  Position;
	private IMVector  Velocity;
	private double    Heading;
	private int       TimeToLive;

	public IMBullet (IMVector Position, IMVector Velocity, double Heading, int TTL)
	{
		this.Position = Position;
		this.Velocity = Velocity;
		this.Heading  = Heading;

		TimeToLive = TTL;
	}

	public float GetDiameter ()
	{
		return Constants.BULLET_DIAMETER;
	}

	public double GetHeading ()
	{
		return Heading;
	}

	public IMVector GetPosVector ()
	{
		return Position;
	}

	public IMVector GetVelVector ()
	{
		return Velocity;
	}

	public int GetTTL ()
	{
		return TimeToLive;
	}
}