public final class IMPlanet implements ICollidable
{
	private float  Mass;
	private float  Diameter;
	private IMVector Position;

	public IMPlanet (float Mass, float Diameter, IMVector Position)
	{
		this.Mass     = Mass;
		this.Diameter = Diameter;
		this.Position = Position;
	}

	public float GetMass ()
	{
		return Mass;
	}

	public float GetDiameter ()
	{
		return Diameter;
	}

	public IMVector GetPosVector ()
	{
		return Position;
	}

	public Vector GetGravityAcceleration (ICollidable CObject)
	{
		float  Radius  = (float)Vector.Subtract(CObject.GetPosVector(), Position).GetLength();
		Vector PAcc    = new Vector(0, 0);

		if (Radius <= Planet.MAX_GRAV_DIST)
		{
			float  GravityEffect;
			Vector GravAcc;

			GravityEffect = (float)((Planet.GRAVITY_CONSTANT * Mass)
			                         / (Radius * Planet.DISTANCE_SCALE));
			GravAcc       = Vector.Unit(Vector.Normal(CObject.GetPosVector(), Position));

			GravAcc.Multiply(GravityEffect);

			PAcc = GravAcc;
		}

		return PAcc;
	}
}
