public final class IMShipExt implements ICollidable
{
	private String          Name;
	private double          Heading;
	private IMVector        Position;
	private IMVector        Velocity;
	private IMVector        Acceleration;
	private float           Mass;
	private double          Thrust;
	private IMTeam          TeamData;
	private int             ShipID;
	private int             TimeToFire;
	private int             Health;

	public IMShipExt (String Name,    IMVector Position, IMVector Velocity, IMVector Acceleration,
                      double Heading, float Mass,        double Thrust,     IMTeam TeamData,
					  int Health,     int ShipID)
	{
		this.Name         = Name;
		this.Position     = Position;
		this.Velocity     = Velocity;
		this.Acceleration = Acceleration;
		this.Heading      = Heading;
		this.Mass         = Mass;
		this.Thrust       = Thrust;
		this.TeamData     = TeamData;
		this.Health       = Health;
		this.ShipID       = ShipID;
	}

	public float GetDiameter ()
	{
		return Constants.SHIP_DIAMETER;
	}

	public String GetName ()
	{
		return Name;
	}

	public double GetHeading ()
	{
		return Heading;
	}

	public IMVector GetPosVector ()
	{
		return Position;
	}

	public IMVector GetVelVector ()
	{
		return Velocity;
	}

	public IMVector GetAccVector ()
	{
		return Acceleration;
	}

	public int GetTimeToFire ()
	{
		return TimeToFire;
	}

	public float GetMass ()
	{
		return Mass;
	}

	public double GetThrust ()
	{
		return Thrust;
	}

	public IMTeam GetTeam ()
	{
		return TeamData;
	}

	public int GetShipID ()
	{
		return ShipID;
	}

	public int GetHealth()
	{
		return Health;
	}
}
